"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ivrNumberAndTestNameFilename = exports.sanitise = void 0;
function sanitise(text) {
    return `${text}`
        .toLowerCase()
        .replace(/\s/g, "-")
        .replace(/[^a-z0-9\-_]/gi, "");
}
exports.sanitise = sanitise;
/**
 * Produces filename that looks like '<phone-number>-<datetime>-<scenario-name>-<optional-suffix>'
 */
const ivrNumberAndTestNameFilename = ({ call }, scenario, suffix) => sanitise([`${Date.now()}`, call.to, scenario.name, suffix].filter((e) => e).join("-"));
exports.ivrNumberAndTestNameFilename = ivrNumberAndTestNameFilename;
