"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateTestSubject = void 0;
const joi_1 = __importDefault(require("joi"));
const schema = joi_1.default.object({
    from: joi_1.default.string().required(),
    to: joi_1.default.string().required(),
});
const validateTestSubject = (testSubject) => {
    if (Buffer.isBuffer(testSubject)) {
        return {};
    }
    const { error } = schema.validate(testSubject, {
        presence: "required",
    });
    return { error };
};
exports.validateTestSubject = validateTestSubject;
