"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.testExecutor = void 0;
const CallTranscriber_1 = require("../call/transcription/CallTranscriber");
const inOrder_1 = require("./test/inOrder");
function testExecutor(transcriberFactory) {
    return {
        startTest(scenario, call) {
            const callTranscriber = new CallTranscriber_1.CallTranscriber(call, transcriberFactory.create());
            const callFlowSession = inOrder_1.inOrder(scenario.steps).runAgainstCallFlow(callTranscriber, call);
            return {
                call,
                scenario,
                callFlowSession,
            };
        },
    };
}
exports.testExecutor = testExecutor;
