"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.callConnectedTimeout = void 0;
const callConnectedTimeout = ({ msTimeoutWaitingForCall, }) => ({
    initialise(pluginHost) {
        pluginHost.on("callServerStarted", ({ callServer }) => {
            let timeoutCallbackId;
            pluginHost.on("callRequested", () => {
                clearTimeout(timeoutCallbackId);
                timeoutCallbackId = setTimeout(() => {
                    pluginHost.abortTests(`call did not connect after ${msTimeoutWaitingForCall / 1000}s`);
                }, msTimeoutWaitingForCall);
            });
            callServer.on("stopped", () => clearTimeout(timeoutCallbackId));
            callServer.on("callConnected", () => clearTimeout(timeoutCallbackId));
        });
    },
});
exports.callConnectedTimeout = callConnectedTimeout;
