/// <reference types="node" />
import { setTimeout } from "timers";
import { Step } from "../../configuration/scenario/Step";
import { Call } from "../../call/Call";
import { PromptTranscriptionBuilder } from "../../call/transcription/PromptTranscriptionBuilder";
import { MatchedCallback, Prompt, TimeoutCallback } from "./inOrder";
export declare class PostSilencePrompt implements Prompt {
    readonly definition: Step;
    private readonly call;
    private readonly matchedCallback;
    private readonly timeoutCallback;
    private readonly timeoutSet;
    private readonly timeoutClear;
    private timeoutTimer;
    private promptTimedOut;
    private isFirstInvocation;
    private lastKnownTranscript;
    private silenceAfterPromptTimer;
    private skipPrompt;
    private nextPrompt;
    constructor(definition: Step, call: Call, matchedCallback: MatchedCallback, timeoutCallback: TimeoutCallback, timeoutSet: typeof setTimeout, timeoutClear: typeof clearTimeout);
    setNext(prompt: Prompt): Prompt;
    transcriptUpdated(transcriptEvent: PromptTranscriptionBuilder): void;
    private processUpdatedTranscript;
    private clearSilenceAfterPromptTimer;
    private startTimeoutTimer;
    private clearTimeoutTimer;
}
